%define upstream_name	 Kwiki-Edit-RequireUserName
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Replaces Kwiki::Edit in order to require a user name to edit
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Kwiki)
BuildArch:	noarch


%description
This plugin helps reduce WikiSpam by requiring that the user have a user name
before editing. The idea is that SpamBots won't take the trouble to do this. Of
course this won't prevent spam created manually.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 368902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 37506
- mageia rebuild
- imported package perl-Kwiki-Edit-RequireUserName

